# BuildAdapter

open class BuildAdapter : BuildListener

A BuildListener adapter class for receiving build events. The methods in this class are empty. This class exists as convenience for creating listener objects.

## Constructors

BuildAdapter
Link copied to clipboard
constructor()

## Functions

beforeSettings
Link copied to clipboard
open fun beforeSettings(settings: Settings)
buildFinished
Link copied to clipboard
open fun buildFinished(result: BuildResult)
projectsEvaluated
Link copied to clipboard
open fun projectsEvaluated(gradle: Gradle)
projectsLoaded
Link copied to clipboard
open fun projectsLoaded(gradle: Gradle)
settingsEvaluated
Link copied to clipboard
open fun settingsEvaluated(settings: Settings)